curl / Docs / Vulnerability table / 7.56.1 vulnerabilities

Vulnerabilities in curl 7.56.1

curl version 7.56.1 was released on October 23 2017. The following 5 security problems are known to exist in this version.

FlawFrom versionTo and includingCVE
HTTP authentication leak in redirects6.07.57.0CVE-2018-1000007
HTTP/2 trailer out-of-bounds read7.49.07.57.0CVE-2018-1000005
SSL out of buffer access7.56.07.56.1CVE-2017-8818
FTP wildcard out of bounds read7.21.07.56.1CVE-2017-8817
NTLM buffer overflow via integer overflow7.36.07.56.1CVE-2017-8816

Changelog for curl 7.56.1

See vulnerability summary for the previous release: 7.56.0 or the subsequent release: 7.57.0